# Class SignedOfferList

#### Hierarchy

- unknown
  - SignedOfferList

- Defined in src/protobuf/pb_pb.d.ts:5883
- Defined in src/protobuf/pb_pb.d.ts:5897

#####
Index

### Constructors

constructor

### Methods

addSignedOffer
clearSignedOfferList
getSignedOfferList
serializeBinary
setSignedOfferList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SignedOfferList(): SignedOfferList

- #### Returns SignedOfferList

  Inherited from jspb.Message.constructor

## Methods

### addSignedOffer

- addSignedOffer(value?: SignedOffer, index?: number): SignedOffer

- #### Parameters

  - ##### `Optional` value: SignedOffer

  - ##### `Optional` index: number

  #### Returns SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:5887

### clearSignedOfferList

- clearSignedOfferList(): SignedOfferList

- #### Returns SignedOfferList

  - Defined in src/protobuf/pb_pb.d.ts:5886

### getSignedOfferList

- getSignedOfferList(): SignedOffer[]

- #### Returns SignedOffer[]

  - Defined in src/protobuf/pb_pb.d.ts:5884

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5889

### setSignedOfferList

- setSignedOfferList(value: SignedOffer[]): SignedOfferList

- #### Parameters

  - ##### value: SignedOffer[]

  #### Returns SignedOfferList

  - Defined in src/protobuf/pb_pb.d.ts:5885

### toObject

- toObject(includeInstance?: boolean): SignedOfferList.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SignedOfferList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5890

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignedOfferList

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignedOfferList

  - Defined in src/protobuf/pb_pb.d.ts:5893

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignedOfferList, reader: BinaryReader): SignedOfferList

- #### Parameters

  - ##### message: SignedOfferList

  - ##### reader: BinaryReader

  #### Returns SignedOfferList

  - Defined in src/protobuf/pb_pb.d.ts:5894

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SignedOfferList, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SignedOfferList

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5892

### `Static` toObject

- toObject(includeInstance: boolean, msg: SignedOfferList): SignedOfferList.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignedOfferList

  #### Returns SignedOfferList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5891

Generated using TypeDoc